const Controller = require("egg").Controller;
class BaseController extends Controller {
  success(data, message = "操作成功", code = 1) {
    this.ctx.body = {
      code,
      data,
      message
    };
  }
  error(message, code = 0) {
    // 验证错误的特殊处理
    if (message && message.errors) {
      if (Array.isArray(message.errors)) {
        message = message.errors[0].field;
      } else {
        message = message.errors;
      }
      code = 40002;
    }
    this.logger.error(message);
    this.ctx.body = {
      code,
      message
    };
  }
}
module.exports = BaseController;