module.exports = {
  formateUserinfo(userinfo) {
    return {
      username: userinfo.username,
      role: userinfo.role
    }
  },
  userListByRole(userlist = []) {
    let res = [];
    userlist.forEach(item => {
      res.push({
        _id: item.id,
        name: item.nickname || item.name,
      })
    })
    return res
  },
  userList(userlist, grouplist) {
    let res = {}
    for (let i = 0; i < grouplist.length; i++) {
      res[grouplist[i].name] = {
        group_id: grouplist[i]._id,
        group_name: grouplist[i].name,
        group_role: grouplist[i].workType,
        group_describe: grouplist[i].describe,
        users: []
      };
    }
    for (let i = 0; i < userlist.length; i++) {
      let tmpUser = userlist[i];
      if (tmpUser.group_id) {
        let group_name = tmpUser.group_id.name.toString();
        try {
          res[group_name].users.push({
            user_id: tmpUser.id,
            user_role: tmpUser.workType,
            user_name: tmpUser.name
          })
        } catch (error) {
          console.error(error);
        }
      } else {
        console.error('存在有未分组人员')
      }
    }
    return res
  },
  getQueuing(queuings) {
    let res = [];
    for (let i = 0; i < queuings.length; i++) {
      let queuing = queuings[i];
      res.push({
        queuing_id: queuing.id,
        begin: this.app.moment(queuing.begin).format('HH:mm:ss'),
        end: this.app.moment(queuing.end).format('HH:mm:ss'),
        num: queuing.num,
        canAllot: queuing.study_id ? false : true,
        reservation: queuing.reservation
      })
    }
    return res;
  },
  getStudysNoCheck(resData) {
    let res = [];
    for (let i = 0; i < resData.length; i++) {
      let tmpData = resData[i];
      let data = {
        study_id: tmpData.id, //检查id
        clinicpatientid: tmpData.PatientID, //病人就诊卡号
        checkserienum: tmpData.CHECKSERIALNUM, //检查序列号
        patientname: tmpData.PatientName, //病人姓名
        sex: tmpData.PatientSex, //性别
        age: tmpData.PatientAge, //年龄
        modal: tmpData.DEVICETYPENAME, //检查类型
        prediagnose: tmpData.PREDIAGNOSE, //初诊待查
        studystatus: tmpData.STUDYSTATUS, //检查状态
      }
      if (tmpData.quenuing_id) {
        let queuing_time = tmpData.quenuing_id.changeTime ? tmpData.quenuing_id.changeTime : tmpData.quenuing_id.createTime;
        queuing_time = this.app.moment(queuing_time).format('YYYY-MM-DD HH:mm:ss');
        let timerange = `${tmpData.quenuing_id.num}号  ${this.app.moment(tmpData.quenuing_id.begin).format('YYYY-MM-DD HH:mm')}至${this.app.moment(tmpData.quenuing_id.end).format('HH:mm')}`
        data = Object.assign(data, {
          queuing_id: tmpData.quenuing_id.id,
          room_name: tmpData.quenuing_id.room_name,
          queuing_time, //分诊时间
          timerange, //预约号段
        })
      }
      res.push(data)
    }
    return res;
  },

  formateRoom(rooms) {
    let resData = []
    rooms.forEach(item => {
      try {
        resData.push({
          room_id: item.id,
          name: item.name, //诊室名字
          remark: item.remark, //诊室备注
          location: item.location, //诊室位置
          type: item.type, //诊室类型
          device: item.device, //诊室设备
        })
      } catch (error) {}
    });
    return resData
  }

}
