'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {

  const {
    router,
    controller
  } = app;
  const auth = app.middleware.auth;

  router.get('/pacs/getConfig', controller.config.getConfig); //获取配置
  router.post('/pacs/setConfig', controller.config.setConfig); //获取配置
  //PACS系统相关
  // router.get("/pacs/toreport", controller.pacs.toreport)
  router.post("/pacs", controller.pacs.addPACS); //新建PACS位置
  router.put("/pacs", controller.pacs.editPacs); //新建PACS位置
  router.post("/pacs/pushImage", controller.pacs.pushImage); //新建PACS位置
  router.delete("/pacs", controller.pacs.delPACS); //删除PACS位置
  router.get("/pacs", controller.pacs.getPACS); //删除PACS位置

  router.post("/pacs/percent", controller.pacs.percent); //删除PACS位置
  router.post("/pacs/findReading", controller.pacs.findReading);
  router.post("/pacs/pullImage", controller.pacs.pullImage);
  router.post("/pacs/testConnection", controller.pacs.testConnection); //测试连接
  router.post("/pacs/findFromPacs", controller.pacs.findFromPacs); //查询PACS
  router.post("/pacs/moveFromPacs", controller.pacs.moveFromPacs); //从PACS系统下载数据
  router.get("/pacs/getLocalPort", controller.pacs.getLocalPort); //从PACS系统下载数据
  router.post("/pacs/wxFindFromPacs", controller.pacs.wxFindFromPacs)
};
